%define major 3
%define api 0.2
%define libname %mklibname %name %major
%define develname %mklibname -d %name

%define gi_major 0.2
%define girname %mklibname %name-gir %gi_major

Name:           telepathy-logger
Version:        0.8.0
Release:        %mkrel 2
Summary:        A logger for the telepathy framework
Group:          System/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}telepathy-glib-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libxslt-proc
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: intltool
#-------------------------------------------
Requires: %libname >= %version
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%name is a logger for the telepathy framework.

%files
%defattr(-,root,root,-)
%_libexecdir/%name
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%_datadir/telepathy/clients/Logger.client
%_datadir/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml

#--------------------------------------------------------------------

%package -n %{libname}
Group: System/Libraries
Summary: A logger library for the telepathy framework
Requires: telepathy-filesystem
Obsoletes: %{_lib}telepathy-logger2

%description -n %{libname}
%{name} is a logger library for the telepathy framework.

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-logger.so.%{major}*
%{_libdir}/girepository-1.0/TelepathyLogger-%{gi_major}.typelib
#--------------------------------------------------------------------

%package -n %develname
Group: Development/Libraries
Summary: A logger library for the telepathy framework
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
%name is a logger library for the telepathy framework.

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-logger.so
%{_includedir}/%name-%api
%{_datadir}/gtk-doc/html/telepathy-logger
%_libdir/pkgconfig/telepathy-logger-%api.pc
%_datadir/gir-1.0/TelepathyLogger-%api.gir

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --enable-call --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%{_libdir}/libtelepathy-logger.la


%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%changelog
* Sat Jan 25 2014 bb <bb> 0.8.0-2pclos2014
- add post script for gschema.xml
- adjust BR

* Sat Sep 21 2013 pinoc <vogtpet at gmail.com> 0.8.0-1pclos2013
- 0.8.0

* Sat Aug 27 2011 Texstar <texstar at gmail.com> 0.2.10-1pclos2011
- 0.2.10
